Cancel Single Order
Cancel an order
Header Parameters
OKAS_ADDRESS*string
Checksummed wallet address performing the request.
OKAS_API_KEY*string
API key obtained from the L1 derivation endpoint.
Format
uuidOKAS_PASSPHRASE*string
64 character hexadecimal passphrase associated with the API key.
OKAS_TIMESTAMP*string
Unix timestamp in seconds (string) used for freshness checks.
OKAS_SIGNATURE*string
Hex-encoded HMAC-SHA256 signature built from the L2 signing string.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
orderId*string
Order identifier to cancel.
Response Body
application/json
application/json
curl -X DELETE "https://clob.okas.com/order" \ -H "OKAS_ADDRESS: string" \ -H "OKAS_API_KEY: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "OKAS_PASSPHRASE: string" \ -H "OKAS_TIMESTAMP: string" \ -H "OKAS_SIGNATURE: string" \ -H "Content-Type: application/json" \ -d '{ "orderId": "string" }'{
"canceled": [
"string"
],
"not_canceled": {
"property1": "string",
"property2": "string"
}
}{
"error": "string"
}